include (jslib_dirutils);
//include (jslib_prefs);
include (jslib_fileutils);
include (jslib_file);
include (jslib_dir);

include ("chrome://mozimage/content/mozimage_prefs.js");
include ("chrome://global/content/strres.js");

const XMLNS = "http://www.w3.org/XML/1998/namespace";

var mozImageBundle = srGetStrBundle("chrome://mozimage/locale/mozimage.properties");
var offset = new Array ();
var tmpImage = window.arguments[0];
var bakImage = window.arguments[1];
var tmpSrc = window.arguments[2];
var bakSrc = window.arguments[3];
var type = window.arguments[4];

function edit_fullimage_load (event)
{
    //alert ("Load");
    //alert("tmpSrc == " + tmpSrc);
    drawFullImage();
    mouse_on_image_listener ();
}

function edit_fullimage_close ()
{
}

function drawFullImage()
{
    var fullImage = document.getElementById("edit-full");
    if (type == 0) {
	fullImage.src = tmpSrc;
	//fullImage.removeAttribute('width');
	//fullImage.removeAttribute('height');
	var filenameTmp = tmpSrc;
	fullImage.src = "";
	fullImage.width = tmpImage.boxObject.width;
	fullImage.height = tmpImage.boxObject.height;
	fullImage.src = filenameTmp;
    }
    //bakImage.src = oldimage.src;

    else if (type == 1) {
	fullImage.src = bakSrc;
	//fullImage.removeAttribute('width');
	//fullImage.removeAttribute('height');
	var filenameBak = bakSrc;
	fullImage.src = "";
	fullImage.width = bakImage.boxObject.width;
	fullImage.height = bakImage.boxObject.height;
	fullImage.src = filenameBak;
    }
    //alert ("fullImage.height == " + fullImage.height);
}

function mouse_on_image_listener()
{
    addEventListener("mousedown", setImageListener, true);
    //addEventListener("onoverflow", testListener, true);
}

function setImageListener (event) {
    if (event.target.boxObject.element.id == "edit-full") {
	offset[0] = ( event.clientX - event.target.boxObject.x);
	offset[1] = ( event.clientY - event.target.boxObject.y);
    }
    //alert (offset[0] + "x" + offset[1]);
    updateCoord(document.getElementById("edit-full-info"), offset[0], offset[1]);

    setDrawtextClick (type);
}

function setDrawtextClick (type)
{
    var checkPix = window.arguments[5];
    var checkPer = window.arguments[6];
    var textX = window.arguments[7];
    var textY = window.arguments[8];
    var textInfo = window.arguments[9];
    
    textX.value = offset[0]; textY.value = offset[1];
    if (checkPix.selected == true) {
	textX.value = offset[0]; textY.value = offset[1];
	updateDescription(textInfo, -1, -1);
    } else if (checkPer.selected == true) {
	if (type == 0) {
	    textX.value =  parseInt(offset[0]/ tmpImage.boxObject.width * 100, 10);
	    textY.value = parseInt(offset[1] / tmpImage.boxObject.height * 100, 10);
	}
	else if (type == 1) {
	    textX.value =  parseInt(offset[0]/ bakImage.boxObject.width * 100, 10);
	    textY.value = parseInt(offset[1] / bakImage.boxObject.height * 100, 10);
	}
	updateDescription(textInfo, offset[0], offset[1]);
    }
}

function updateCoord(info, x, y)
{
    if (x == -1 && y == -1)
	info.value = " ";
    else
	info.value = mozImageBundle.formatStringFromName("coordInfo", [x + "px", y + "px"], 2);
}

function updateDescription(info, x, y)
{
    if (x == -1 && y == -1)
	info.value = "";
    else
	info.value = mozImageBundle.formatStringFromName("sizeInfo", [x + "px", y + "px"], 2);
}
